package edu.nyu.sps.japan;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;
import android.widget.Toast;

public class JapanView extends View {
    private Paint paint = new Paint();

    public JapanView(Context context) {
        super(context);
        paint.setColor(Color.RED);
        paint.setStyle(Paint.Style.FILL);	//vs. STROKE
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);

        int width = getWidth();
        int height = getHeight();
        float radius = .3f * Math.min(width, height);

        canvas.drawColor(Color.WHITE);	//background
        canvas.drawCircle(0f, 0f, radius, paint);

        String s = "JapanView is " + width + " \u00D7 " + height; //Unicode "by" character
        Toast toast = Toast.makeText(getContext(), s, Toast.LENGTH_LONG);
        toast.show();
    }

}
